#
# spec file for package tomoyo-tools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define downloadver 2.5.0-20140601
Name:           tomoyo-tools
Version:        2.5.0.20140601
Release:        1.4
Summary:        Userspace tools for TOMOYO Linux 2.4.x
License:        GPL-2.0
Group:          Development/Tools/Other
Url:            http://sourceforge.jp/projects/tomoyo/
Source0:        http://osdn.dl.sourceforge.jp/tomoyo/53357/tomoyo-tools-%{downloadver}.tar.gz
Source1:        http://osdn.dl.sourceforge.jp/tomoyo/53357/tomoyo-tools-%{downloadver}.tar.gz.asc
# http://i-love.sakura.ne.jp/kumaneko-key
Source2:        %name.keyring
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains userspace tools for administrating TOMOYO Linux 2.4.
Please see http://tomoyo.sourceforge.jp/2.4/ for documentation.

%prep
%setup -q -n %{name}

%build
make %{?_smp_mflags} USRLIBDIR=%{_libdir} CFLAGS="-Wall %{optflags}"

%install
make INSTALLDIR=%{buildroot} USRLIBDIR=%{_libdir} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING.tomoyo README.tomoyo
%attr(700,root,root) /sbin/tomoyo-init
%{_libdir}/lib*.so*
%dir %{_libdir}/tomoyo
%{_libdir}/tomoyo/*
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Tue Jun  9 2015 meissner@suse.com
- tomoyo-tools.keyring: use new key from upstream maintainer
* Tue May 26 2015 dgutu@suse.com
- Spec-cleaner cleanup
* Tue Apr  7 2015 p.drouand@gmail.com
- Update to version 2.5.0-20140601
  * /usr/sbin/tomoyo-editpolicy
    Print "acl_group $N" correctly when using offline mode.
- Changes from version 20140105
  * /usr/lib/tomoyo/init_policy
    Add path to systemd.
  * /usr/sbin/tomoyo-queryd
    Use poll() rather than select().
- Changes from version 20130406
  * Fix compile warning from clang.
- Changes from version 20130214
  * Change Makefile's build flags (fix bdo#674723)
  * Change / to /* in rpm's %%files section because Fedora 18 complains
    conflicts.
- Remove gpg verify requirement; obs handles it
* Tue Jan 29 2013 meissner@suse.com
- Updated to 2.5.0-20120805 snapshot to work with newer kernels
  bnc#800993
  - Rebased using ccs-tools-1.8.3.
  - /usr/sbin/tomoyo-queryd
    Use query id rather than global PID when reading or updating target
    process's domain policy.
  - /usr/lib/tomoyo/init_policy
    Add "socket:[family=\\$:type=\\$:protocol=\\$]" to ANY_PATHNAME group.
  - /sbin/tomoyo-init
    Parse statistics lines correctly.
  - /usr/sbin/tomoyo-editpolicy
    Print number of selected entries if any.
  - /usr/lib/libtomoyotools.so
    Fix IP address parsing.
  - /usr/sbin/tomoyo-checkpolicy
    Fix namespace prefix parsing in exception policy.
  - Rename manpage for init_policy to tomoyo_init_policy
    (to allow parallel installation of ccs-tools package).
* Thu Nov 29 2012 sbrabec@suse.cz
- Verify GPG signature.
* Wed Oct 19 2011 meissner@suse.com
- Updated to 2.4.0-20110929 snapshot necessary to work with 12.1
  - lots of bugfixes
  - adjustments to current kernel
  - auditing helps
* Mon Aug 29 2011 aj@suse.de
- _GNU_SOURCE needs to be defined first, fix build
  (patch tomoyo-clone.patch)
* Tue Jun 28 2011 meissner@suse.de
- Update to 20110511 snapshot:
  * Version 2.3.0p1 2011/02/11   Bugfix release.
    /sbin/tomoyo-init
    Mount sysfs when /sys/kernel/security/ does not exist rather than when /sys/kernel/ does not exist, for some distributions have /sys/kernel/debug/ on root device.
    Wait for /etc/tomoyo/tomoyo-post-init in a more reliable way.
    /usr/sbin/tomoyo-diffpolicy
    Fix regression introduced when fixing old/new inversion bug.
  * Version 2.3.0p2 2011/05/11   Minor update release.
    Fix build error on parallel build.
    /usr/lib/libtomoyotools.so.1
    Fix wrong domainname validation.
    /usr/sbin/tomoyo-editpolicy
    Allow configuring background color.
* Sat Jan 15 2011 meissner@suse.de
- initial packaging of the tomoyo userland utilities.
